<div class="col-lg-12 animated fadeInRight list-payment-extra">
    <div class="input-group">
    </div>
    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div>
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <div class="row">
                            <div class="col-sm-12">
                                <h3>
                                    <strong>Manage Promo Code</strong>
                                </h3>
                            </div>
                        </div>
                        <div class="fm-row">
                            <div class="row">
                                <div class="col-sm-4">
                                    <input [(ngModel)]="code" (keydown.enter)="getPromocodes(item.value)" name="code"
                                        autocomplete="off" type="text" #item class="form-control input-sm-3"
                                        placeholder="Search for Code" />
                                </div>
                                <div class="col-sm-4">
                                    <input [(ngModel)]="validFrom" [owlDateTimeTrigger]="dtPicker3"
                                        [owlDateTime]="dtPicker3" placeholder="Promo Valid From"
                                        value="{{validFrom | date:'yyyy-MM-dd'}}" class="form-control"
                                        (click)="clearEndTime()">
                                    <owl-date-time #dtPicker3 (click)="clearEndTime"></owl-date-time>
                                    <br />
                                </div>

                                <div class="col-sm-4">
                                    <input [(ngModel)]="validTo" [owlDateTimeTrigger]="dtPicker4"
                                        [owlDateTime]="dtPicker4" [min]="validFrom" placeholder="Promo Valid To"
                                        class="form-control">
                                    <owl-date-time #dtPicker4></owl-date-time>
                                </div>
                                <div class="col-sm-12 text-right">
                                    <button type="get" (click)="getPromocodes(item.value);"
                                        class="btn btn-sm btn-primary blue"> <i aria-hidden="true" class="fa fa-search"></i>
                                        Search</button>
                                    <button class="btn btn-sm btn-primary green" (click)="refreshPromocode()"><i aria-hidden="true"
                                            class="fa fa-refresh"></i> Refresh</button>
                                    <button class="btn btn-sm btn-primary red" (click)="reset()"><i aria-hidden="true"
                                            class="fa fa-eraser"></i> Reset filters</button>
                                    <ng-container *ngIf="aclAdd">
                                        <button type="submit" class="btn btn-sm btn-primary blue"
                                            [routerLink]="['/admin/administration/promo-code/add']">Add new
                                            record</button>
                                    </ng-container>
                                </div>
                            </div>
                        </div>
                        <div *ngIf="promoCodeLength>0">Total records :{{promoCodeLength}}</div>
                        <div class="ibox-content">
                            <div class="table-responsive custom-table">
                                <table aria-describedby="Manage Promo Code" class="table table-striped table-bordered table-responsive zoom">
                                    <thead>
                                        <tr>
                                            <th scope="col">Name </th>
                                            <th scope="col">Promo Code </th>
                                            <th scope="col">Promo Type </th>
                                            <th scope="col">RefNo/Budget </th>
                                            <th scope="col">Discount % </th>
                                            <th scope="col">Valid between date </th>
                                            <th scope="col">Valid between time </th>
                                            <th scope="col">Limit per user</th>
                                            <th scope="col">Max Discount</th>
                                            <th scope="col">Order Amount between</th>
                                            <th scope="col">Pick up zones</th>
                                            <th scope="col">Drop Zones</th>
                                            <th scope="col">Either in pickup or drop</th>
                                            <th scope="col">App Category</th>
                                            <th scope="col">Payment Types</th>
                                            <th scope="col">Auto Applicable</th>
                                            <th scope="col">Created at</th>
                                            <th scope="col">Available in marketing</th>
                                            <th scope="col" *ngIf="aclEdit || aclDelete">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <span *ngIf="searchSubmit">
                                            <img class="loader-img" src="assets/img/loader.gif" alt="loader"/>
                                        </span>
                                        <tr *ngFor="let code of promoCodeData">
                                            <td>{{code.promo_name }}</td>
                                            <td>{{code.promo_code }}</td>
                                            <td>{{(code.promo_type=='0'?'ALL': (code.promo_type=='1'?'Customer Group':(code.promo_type=='2'?'Customer Specific':'NILL')))}}
                                            </td>
                                            <td>{{code.promo_ref }}</td>
                                            <td>{{code.percentage_discount}}</td>
                                            <td>{{code.valid_from_date}} -- {{code.valid_to_date}}</td>
                                            <td>{{code.valid_from_time?code.valid_from_time:'NIL'}} --
                                                {{code.valid_to_time?code.valid_to_time:'NIL'}} </td>
                                            <td>{{code.usage_count}}</td>
                                            <td>{{code.maximum_discount_amount_upto!==-1?code.maximum_discount_amount_upto:'NIL'}}
                                            </td>
                                            <td>{{code.min_order_amount!==-1?code.min_order_amount:'NIL'}} --
                                                {{code.max_order_amount!==-1?code.max_order_amount:'NIL'}}</td>
                                            <td *ngIf='code.pickup_applicable_zones.length==0'><span></span>
                                                NILL
                                            </td>
                                            <td *ngIf='code.pickup_applicable_zones.length>0'><span
                                                    *ngFor="let zones of code.pickup_applicable_zones">
                                                    {{zones.name}}
                                                </span></td>
                                            <td *ngIf='code.drop_applicable_zones.length==0'><span></span>
                                                NILL
                                            </td>
                                            <td *ngIf='code.drop_applicable_zones.length>0'><span
                                                    *ngFor="let zones1 of code.drop_applicable_zones">
                                                    {{zones1.name}}
                                                </span></td>
                                            <td *ngIf='code.applicable_for_app_category.length==0'><span></span>
                                                NILL
                                            </td>
                                            <td>{{code.promo_match_pick_or_drop}}</td>
                                            <td *ngIf='code.applicable_for_app_category.length>0'><span
                                                    *ngFor="let c of code.applicable_for_app_category">
                                                    {{c.name}}
                                                </span></td>
                                            <td *ngIf='code.applicable_for_payment_types.length==0'><span></span>
                                                NILL
                                            </td>
                                            <td *ngIf='code.applicable_for_payment_types.length>0'><span
                                                    *ngFor="let p of code.applicable_for_payment_types">
                                                    {{p.payment_type}}
                                                </span></td>
                                            <td *ngIf='code.is_auto_applicable'>
                                                <span>True</span>
                                            </td>
                                            <td *ngIf='!code.is_auto_applicable'>
                                                <span>False</span>
                                            </td>
                                            <td>{{code.created_at}}</td>
                                            <td>
                                                <mat-slide-toggle (change)="marketingView($event , code)"  [checked]="code.role =='marketing' ? true : false"></mat-slide-toggle>
                                            </td>
                                            <td *ngIf="aclEdit || aclDelete">
                                                <span *ngIf="aclEdit" matTooltip="Edit">
                                                    <a
                                                        [routerLink]="['/admin/administration/promo-code/edit', code._id]">
                                                        <i aria-hidden="true" class="fa fa-edit text-navy"></i>
                                                    </a>&nbsp;&nbsp;&nbsp;
                                                </span>
                                                <span *ngIf="aclDelete" matTooltip="Delete">
                                                    <a (click)="openDialog(code._id)">
                                                        <i aria-hidden="true" class="fa fa-trash text-navy"></i>
                                                    </a>
                                                </span>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>


                                <br>
                                <div class="container-fluid" *ngIf="promoCodeLength > 0">
                                    <div class="row col-md-12 text-center">
                                        <div class="dataTables_info1">
                                            <ngb-pagination [collectionSize]="promoCodeLength"
                                                (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="itemsPerPage"
                                                aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                                            </ngb-pagination>

                                        </div>
                                    </div>
                                </div>
                                <div class="container-fluid" *ngIf="promoCodeLength==0">
                                    <div class="row">
                                        <div class="dataTables_info1">
                                            <div class="col-md-12 text-center form-group">
                                                No records found
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>